%global momorel 1
Name:           libmediaart
Version:	1.9.4
Release:	%{momorel}m%{?dist}
Summary:        Library for managing media art caches
Group:		System Environment/Libraries
License:        LGPLv2+
URL:            https://github.com/curlybeast/libmediaart
Source0:	https://download.gnome.org/sources/%{name}/1.9/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  vala-tools vala-devel
BuildRequires:  xorg-x11-server-Xvfb dbus-x11


%description
Library tasked with managing, extracting and handling media art caches.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package  tests
Summary:  Tests for the %{name} package
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%setup -q
autoreconf -f


%build
%configure --disable-static \
  --enable-gdkpixbuf \
  --disable-qt \
  --enable-installed-tests
%make 


%install
%make_install
find %{buildroot} -name '*.la' -delete -print

%check
xvfb-run make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING.LESSER NEWS
%{_libdir}/libmediaart-2.0.so.*
%{_libdir}/girepository-1.0/MediaArt-2.0.typelib

%files devel
%{_includedir}/libmediaart-2.0
%{_libdir}/libmediaart-2.0.so
%{_libdir}/pkgconfig/libmediaart-2.0.pc
%{_datadir}/gir-1.0/MediaArt-2.0.gir
%{_datadir}/gtk-doc/html/libmediaart
%{_datadir}/vala/vapi/libmediaart-2.0.vapi

%files tests
%{_libexecdir}/installed-tests/libmediaart
%{_datadir}/installed-tests


%changelog
* Mon Oct 15 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.4-1m)
- update to 1.9.4

* Thu Aug 10 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.3-1m)
- update to 1.9.3

* Sun Mar 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.1-1m)
- update to 1.9.1

* Sun Feb 22 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.9.0-1m)
- update to 1.9.0

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.0-1m)
- update to 0.7.0

* Thu Apr 03 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Thu Mar 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0

* Wed Feb 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.0-1m)
- import from fedora

